Bug 206894 - [CMake] Use WEBKIT_EXECUTABLE in MiniBrowser
Summary: [CMake] Use WEBKIT_EXECUTABLE in MiniBrowser
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CMake (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Don Olmstead
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-28 11:08 PST by Don Olmstead
Modified: 2020-04-05 21:22 PDT (History)
8 users (show)

See Also:


Attachments
WIP Patch (7.53 KB, patch)
2020-02-26 16:08 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
WIP Patch (8.21 KB, patch)
2020-02-26 16:14 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (10.50 KB, patch)
2020-02-26 16:42 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (10.51 KB, patch)
2020-02-26 18:09 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch reland (10.39 KB, patch)
2020-04-05 20:20 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Olmstead 2020-01-28 11:08:29 PST
Use WEBKIT_EXECUTABLE in MiniBrowser
Comment 1 Don Olmstead 2020-02-26 16:08:40 PST Comment hidden (obsolete)
Comment 2 Don Olmstead 2020-02-26 16:14:24 PST Comment hidden (obsolete)
Comment 3 Don Olmstead 2020-02-26 16:42:55 PST Comment hidden (obsolete)
Comment 4 Don Olmstead 2020-02-26 18:09:14 PST
Created attachment 391823 [details]
Patch
Comment 5 Adrian Perez 2020-02-27 00:50:46 PST
Comment on attachment 391823 [details]
Patch

The WPE/GTK parts of the patch look good. The Windows bits also look
fine to me but I can't be 100% sure so you might want to have some
other pair of eyes glance at it before landing.
Comment 6 WebKit Commit Bot 2020-02-27 06:36:32 PST
The commit-queue encountered the following flaky tests while processing attachment 391823 [details]:

editing/spelling/spellcheck-input-search-crash.html bug 207995 (authors: arv@chromium.org, g.czajkowski@samsung.com, mark.lam@apple.com, and morrita@google.com)
The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2020-02-27 06:37:03 PST
Comment on attachment 391823 [details]
Patch

Clearing flags on attachment: 391823

Committed r257565: <https://trac.webkit.org/changeset/257565>
Comment 8 WebKit Commit Bot 2020-02-27 06:37:05 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Don Olmstead 2020-04-05 20:19:42 PDT
This was rolled out
Comment 10 Don Olmstead 2020-04-05 20:20:05 PDT
Created attachment 395541 [details]
Patch reland
Comment 11 Don Olmstead 2020-04-05 21:20:04 PDT
Comment on attachment 395541 [details]
Patch reland

This fixes the issue with WinCairo that caused the roll out.
Comment 12 EWS 2020-04-05 21:22:09 PDT
Committed r259563: <https://trac.webkit.org/changeset/259563>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 395541 [details].